
// Macro to set the direction of the pin RXD into input
#define 	RXD_INPUT		DDRD = DDRD & 0xFE;

// Macro to set the direction of the pin TXD into output

#define 	TXD_OUTPUT		DDRD = DDRD | 0x02;


#define 	TXD_0			PORTD = PORTD & 0xFD;



/* Function  USART_Init 

	Bauds : the baud rate of the serial link

Initialize the serial link of the processor
Set the pin RD as input and TX as output
Set baud rate and configuration of the module
*/

void USART_Init (unsigned int Bauds);






/* Function USART_Send_Char
	
	data : Character to transmit on the serial link

Send a char on the serial link
*/

void USART_Send_Char( char data );





/* Function USART_Send_Text

	Text : string to send on the USART

Send a string on the serial link
*/

void USART_Send_Text(char* Text);





/* Function USART_Receive()

	Return the received parameter

Wait for data on the serial link and return its value
*/

char USART_Receive( void );
